Show / Hide Table of Contents

# Interface IExternalProxy

###### Namespace: Titanium.Web.Proxy.Models

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public interface IExternalProxy

### Properties

| Improve this Doc View Source

#### BypassLocalhost

Bypass this proxy for connections to localhost?

##### Declaration

    bool BypassLocalhost { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### HostName

Host name.

##### Declaration

    string HostName { get; set; }

##### Property Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### Password

Password.

##### Declaration

    string Password { get; set; }

##### Property Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### Port

Port.

##### Declaration

    int Port { get; set; }

##### Property Value

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### ProxyType

##### Declaration

    ExternalProxyType ProxyType { get; set; }

##### Property Value

Type | Description
--- | ---
ExternalProxyType |

| Improve this Doc View Source

#### UseDefaultCredentials

Use default windows credentials?

##### Declaration

    bool UseDefaultCredentials { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### UserName

Username.

##### Declaration

    string UserName { get; set; }

##### Property Value

Type | Description
--- | ---
String |

### Methods

| Improve this Doc View Source

#### ToString()

##### Declaration

    string ToString()

##### Returns

Type | Description
--- | ---
String |